#
# spec file for package psiconv
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           psiconv
BuildRequires:  ImageMagick-devel
BuildRequires:  bc
BuildRequires:  gcc-c++
Version:        0.9.9
Release:        5.3
Url:            http://software.frodo.looijaard.name/psiconv/
Summary:        EPOC32 PSION 5(MX) File Format Data Conversion Utilities
License:        GPL-2.0+
Group:          Hardware/Psion
Source:         http://www.frodo.looijaard.name/system/files/software/psiconv/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package is meant to make the Psion 5 series of PDAs, as well as
   other small computers running EPOC 32, more usable to non-Windows
   users. The package consists of several parts: * Documentation
   about Psion 5 data formats

* A library that can be linked against applications that have to
   read and write Psion 5 files

* An example command line program that reads Psion files and writes
more commonly used formats



Authors:
--------
    Frodo Looijaard <frodol@dds.nl>
    Andrew Johnson <anj@aps.anl.gov>
    James <James000@jps.net>
    Jwan-Luc Damnet <jldamnet@antall.com>
    Wolfgang Szoecs <wolfi@wolfi.munich.sgi.com>
    Kevin Wheatley <hxpro@cinesite.co.uk>
    Tamas Decsi <moose@interware.hu>
    Keitha Kawabe <keita.kawabe@mpq.mpg.de>

%package devel
Summary:        EPOC32 PSION 5(MX) File Format Data Conversion Utilities
Group:          Hardware/Psion
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
This package is meant to make the Psion 5 series of PDAs, as well as
other small computers running EPOC 32, more usable to non-Windows
users.

The package consists of several parts: * Documentation about Psion 5
   data formats;

* A library which can be linked against application that have to
   read and write Psion 5 files;

* An example command-line program which reads Psion files and writes
more commonly used formats.



Authors:
--------
    Frodo Looijaard <frodol@dds.nl>
    Andrew Johnson <anj@aps.anl.gov>
    James <James000@jps.net>
    Jwan-Luc Damnet <jldamnet@antall.com>
    Wolfgang Szoecs <wolfi@wolfi.munich.sgi.com>
    Kevin Wheatley <hxpro@cinesite.co.uk>
    Tamas Decsi <moose@interware.hu>
    Keitha Kawabe <keita.kawabe@mpq.mpg.de>

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static --with-pic --enable-html4-docs
%{__make} %{?jobs:-j%jobs} pkgdatadir=%{_docdir}/%{name}/formats

%install
make DESTDIR=$RPM_BUILD_ROOT pkgdatadir=%{_docdir}/%{name}/formats install
cp AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $RPM_BUILD_ROOT/%{_docdir}/%{name}
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc %dir /usr/share/doc/packages/psiconv
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/INSTALL
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO
%dir /etc/psiconv
%config /etc/psiconv/psiconv.conf
/etc/psiconv/psiconv.conf.eg
/usr/%{_lib}/*.so.*
/usr/bin/psiconv
%doc /usr/share/man/man?/*.*

%files devel
%defattr (-, root, root)
%doc %{_docdir}/%{name}/formats
/usr/%{_lib}/*.so
/usr/bin/*-config
/usr/include/*

%changelog
* Sat Nov 22 2014 zaitor@opensuse.org
- Update to version 0.9.9:
  + Bugfix in HTML4 target.
  + Updated toolchain.
  + Support for GraphicsMagick.
  + Updated manual page psiconv(1).
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Apr  2 2009 crrodriguez@suse.de
- remove static librarie and "la" files
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 nadvornik@suse.cz
- updated to 0.9.8: bugfix release
* Fri Nov  4 2005 sbrabec@suse.cz
- New SuSE package, version 0.9.7.
